Upgrade issue

All about webserver configurations, PHP and databases.

Moderator: Thorsten

Post Reply
agi
Posts: 3
Joined: Fri Aug 19, 2011 10:06 am

Upgrade issue

Post by agi » Fri Aug 19, 2011 1:38 pm

Hi,
I've sucessfully migrated my phpmyfaq application (version 1.6.6) from an old Windows2000 server to one ubutntu server.
I would like to also upgrade this application to the last version.
After phpmyfaq was completly running on my ubuntu, I tried to upgrade firstly to 2.0.17 version.(my goal is to run the last version)
As mentionned, I delete all file in the faq directory (exept the data.php and config.php and the template directory) et copying all new files and run the 'faq/install/update.php' web page.
All is working fine to the step 4. During the step 5 I receive an error messages:
Fatal error: Invalid Database Type in /var/www/faq/inc/Db.php on line 43
How can I solve this issue ?

thank you

Thorsten
Posts: 14722
Joined: Tue Sep 25, 2001 11:14 am
Location: #phpmyfaq
Contact:

Re: Upgrade issue

Post by Thorsten » Fri Aug 19, 2011 5:59 pm

Hi,

which type do you have in your data.php file? Which PHP MySQL extension are using? mysql or mysqli?

bye
Thorsten
phpMyFAQ Maintainer and Lead Developer
amazon.de Wishlist

agi
Posts: 3
Joined: Fri Aug 19, 2011 10:06 am

Re: Upgrade issue

Post by agi » Mon Aug 22, 2011 7:45 am

Hi Thorsten,

Thank you to take my problem in consideration!
The type in my data.php file is mysql , and on my ubuntu server I'm running mysql 5.0.51

Rgards,

Alain

Thorsten
Posts: 14722
Joined: Tue Sep 25, 2001 11:14 am
Location: #phpmyfaq
Contact:

Re: Upgrade issue

Post by Thorsten » Mon Aug 22, 2011 8:01 am

Hi,

please try to change this value to "mysqli"

bye
Thorsten
phpMyFAQ Maintainer and Lead Developer
amazon.de Wishlist

agi
Posts: 3
Joined: Fri Aug 19, 2011 10:06 am

Re: Upgrade issue

Post by agi » Mon Aug 22, 2011 8:36 am

Hi Thorsten

I've solve my issue...
In fact the paramaters in the 'data.php' file was still the parameters of my old Windows server.
When I set the new values ( my new ubuntu server) in this file all is working fine.

I've also successfully upgrated it to 2.6.17.

Thank you for your support.

AGI

Thorsten
Posts: 14722
Joined: Tue Sep 25, 2001 11:14 am
Location: #phpmyfaq
Contact:

Re: Upgrade issue

Post by Thorsten » Mon Aug 22, 2011 8:45 am

Hi,

okay, this makes sense. :-)

bye
Thorsten
phpMyFAQ Maintainer and Lead Developer
amazon.de Wishlist

Post Reply